/*-------------------------------------------------------------------------*
 * network.h - definitions for information exchanged over network
 *
 * T. Nolan 9/26/89
 *-------------------------------------------------------------------------*/

/*                                       */
/* client-server command block structure */
/*                                       */

typedef struct _ACTION
{
    unsigned char type;    /* command block type */
    unsigned char code;    /* return code */
    char          name[64];   /* file name */
    unsigned long size;    /* file size */
}
ACTION;

/*                                   */
/* command block 'type' field values */
/*                                   */

#define NET_GET     1      /* get files */
#define NET_PUT     2      /* put files */
#define NET_DIR     3      /* get directory listing */
#define NET_CHD     4      /* change directory */
#define NET_DEL     5      /* delete files */
#define NET_CNCT    6      /* connect to server */
#define NET_BYE     7      /* kill server */
#define NET_REMOTE  8      /* execute a remote command */

/*                                   */
/* command block 'code' field values */
/*                                   */

#define NET_ACK     1      /* command acknowleged (successful) */
#define NET_ERR     0      /* error executing command */

/*                                          */
/* number of simultaneously active sessions */
/*                                          */

#define SESSIONS  4
